## BtSongIONativeXML BtSongIONativeXML — class for song input and output in builtin native format |

## Synopsis

    #include <libbtcore/core.h>

                        BtSongIONativeXML;
                        BtSongIONativeXMLClass;

## Object Hierarchy

      GObject
       +----BtSongIO
             +----BtSongIONative
                   +----BtSongIONativeXML

## Description

This internal BtSOngIONative module implements loading and saving of an own xml format without externals.

## Details

### BtSongIONativeXML

    typedef struct _BtSongIONativeXML BtSongIONativeXML;

object for song input and output in native zip/xml format

### BtSongIONativeXMLClass

    typedef struct {
      const BtSongIONativeClass parent;
    } BtSongIONativeXMLClass;

Class for song input and output in native zip/xml format

const BtSongIONativeClass `parent`; | parent class type